Darktable 2.2.5 Adds New Cameras Support [How to Install]

Darktable 2.2.5

The Darktable photography workflow application reached the 2.2.5 release a few days ago with some new features, new cameras support, and various bug fixes.

According to the release note, Darktable 2.2.5 added base support for following devices:

  • Canon EOS 77D
  • Canon EOS 9000D
  • Nikon D500 (14bit-uncompressed, 12bit-uncompressed)
  • Nikon D5600 (12bit-compressed, 12bit-uncompressed, 14bit-compressed, 14bit-uncompressed)
  • Panasonic DC-FZ82 (4:3)
  • Panasonic DMC-FZ80 (4:3)
  • Panasonic DMC-FZ85 (4:3)
  • Panasonic DC-GH5 (4:3)

There are also some new features and bug fixes, such as Darktable now do not fail if reading of EXIF from the original file fails, support XYZ as proofing profile, some GCC7 build and Mac packaging fixes, and fix some crash issues.

Darktable 2.2.5

How to Install Darktable 2.2.5 via PPA in Ubuntu:

The new release has been made into this PPA repository, available for Ubuntu 16.04, Ubuntu 16.10, Ubuntu 17.04, and derivatives.

1. Open terminal Ctrl+Alt+T or by searching it from app launcher. When it opens, run command to add the PPA:

sudo add-apt-repository ppa:pmjdebruijn/darktable-release

Type in your password (no visual feedback) when prompts and hit Enter.

Darktable PPA for Xenial

2. Then upgrade Darktable via Software Updater if you’ve a previous release installed:

upgrade darktable

Or simply run commands to check updates and install darktable:

sudo apt update

sudo apt install darktable

Uninstall:

To restore Darktable to the stock version available in your Ubuntu main repository, pure the PPA via command:

sudo apt install ppa-purge && sudo ppa-purge ppa:pmjdebruijn/darktable-release

Source

Leave a Reply